Bug 150110 - (IT_67607_IT_52948) chipset identifier for zx2
chipset identifier for zx2
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.0
ia64 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On: 119364
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-02 11:12 EST by Alex Williamson
Modified: 2015-01-04 17:17 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-06-08 11:13:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
patch to add izx2 identifier (836 bytes, patch)
2005-03-02 11:14 EST, Alex Williamson
no flags Details | Diff

  None (edit)
Description Alex Williamson 2005-03-02 11:12:25 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5) Gecko/20050210 Firefox/1.0 (Debian package 1.0+dfsg.1-6)

Description of problem:
The attached patch simply adds an identifier for the upcoming zx2 ia64 chipset.  This is necessary for support identification purposes and to enable the changes in X which look for the identifier.  There is no functional change the the iommu code.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. boot zx2 system
2.
3.
  

Actual Results:  System works, but chipset is identified as Unknown.  This looks bad and causes X not to loaded the chipset driver.

Expected Results:  chipset identified as zx2

Additional info:
Comment 1 Alex Williamson 2005-03-02 11:14:01 EST
Created attachment 111580 [details]
patch to add izx2 identifier
Comment 3 Jay Turner 2005-04-16 13:37:55 EDT
Patch first present in 2.6.9-6.38.EL.  Would be good to get testing from HP,
which probably means getting them access to the kernel :-)  Moving to MODIFIED.
Comment 4 Tim Burke 2005-05-20 13:31:05 EDT
Has HP confirmed this fix?
Comment 5 Neil Horman 2005-05-20 13:44:39 EDT
not to the best of my knoweldge yet.
Comment 6 Alex Williamson 2005-05-24 15:43:13 EDT
verified on 2.6.9-6.46.EL

# cat /proc/bus/mckinley/zx2 
Hewlett Packard zx2 IOC rev 1.0
IOVA size       : 1024 MB
IOVA page size  : 16 kb
PDIR size       : 65536 entries
PDIR used       : 27 entries

# dmesg | grep zx2
IOC: zx2 1.0 HPA 0xfed01000 IOVA space 1024Mb at 0x40000000
Comment 7 Tim Powers 2005-06-08 11:13:57 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-420.html

Note You need to log in before you can comment on or make changes to this bug.